

//Miniview threshold in px
var MINIVIEW_TRESHOLD = 150;
var isFullView = false;
var miniviewContent = "N/A";
var fullviewContent = "N/A";
var doupdate = true;

window.onload = init;
window.onresize = resizing;

window.onoffline = function() 
{
	doupdate = false;
	update();
}
	
window.ononline = function() 
{
	doupdate = true;
	update();
}


function resizing()
{
    if (window.innerHeight < MINIVIEW_TRESHOLD) 
    {
        isFullView = false;
    }
    else 
    {
        isFullView = true;
    }
	setContent();
}


function getMain()
{
	return isFullView ? "maxiview" : "miniview";
}

function init()
{	
	resizing();
	document.getElementById(getMain()).innerHTML = "<strong></>Loading...</strong>";
	update();
}


function update()
{
	if (doupdate) 
	{
		// Will call viewContent as the result.
		getData("http://www.aqicn.info/?frame&symbian&miniview&city=Japan/%E6%B2%B3%E5%86%85%E9%83%A1%E4%B8%8A%E4%B8%89%E5%B7%9D%E7%94%BA/%E4%B8%8A%E4%B8%89%E5%B7%9D%E7%94%BA%E4%B8%8A%E8%92%B2%E7%94%9F%E6%AD%A9%E9%81%93%E6%A9%8B&id=2512",0);
		setTimeout("update()", 1000 * 60 * 60);
	}
	else
	{
		document.getElementById(getMain()).innerHTML = 
			"<strong>Your phone data connection is currently set to offline</strong>";
	}
}

function showing()
{
	setContent();
}

function viewContent(content, id)
{
	if(content == null)
	{
		content = "This seems to take some time...";
	}
	
	if (id == 0)
	{
		miniviewContent = content;
		
		/* Fetch the second part */
		getData("http://www.aqicn.info/?frame&symbian&fullview&city=Japan/%E6%B2%B3%E5%86%85%E9%83%A1%E4%B8%8A%E4%B8%89%E5%B7%9D%E7%94%BA/%E4%B8%8A%E4%B8%89%E5%B7%9D%E7%94%BA%E4%B8%8A%E8%92%B2%E7%94%9F%E6%AD%A9%E9%81%93%E6%A9%8B&id=2512",1);
	}
	else if (id == 1)
	{
		fullviewContent = content;
	}
	
	setContent();
}

function setContent()
{
	if (isFullView) 
	{
		document.getElementById("miniview").innerHTML = "";
		document.getElementById("maxiview").innerHTML = fullviewContent;
	}
	else 
	{
		document.getElementById("maxiview").innerHTML = "";
		document.getElementById("miniview").innerHTML = miniviewContent;
	}
}	
	
	